classification
Title: Add short descriptions to PEP references in seealso
Type: enhancement Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 3.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: adelfino, docs@python, miss-islington, rhettinger, vstinner
Priority: normal Keywords: patch

Created on 2018-06-01 03:03 by adelfino, last changed 2018-10-20 00:05 by vstinner. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 7294 merged adelfino, 2018-06-01 03:03
PR 9980 merged miss-islington, 2018-10-19 23:31
PR 9981 merged miss-islington, 2018-10-19 23:31
Messages (7)
msg318359 - (view) Author: Andrés Delfino (adelfino) * Date: 2018-06-01 03:03
There are a couple of PEP references with no description in Simple/Compound Statements.

Attached PR fixes this.
msg319489 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2018-06-14 00:02
My personal opinion is that the PEP title should suffice and that a person can click the link for more detail.
msg319490 - (view) Author: Andrés Delfino (adelfino) * Date: 2018-06-14 03:01
Yeah, I think you are right. The motivation for this PR was to not have two PEPs references in the same line, because, IMHO, it looks somewhat weird. Now, they look like:

"See also: PEP 3115 - Metaclasses in Python 3 PEP 3129 - Class Decorators"

Would a change to make it look like:

"""
See also:

PEP 3115 - Metaclasses in Python 3
PEP 3129 - Class Decorators
"""

be accepted?
msg328083 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-10-19 23:31
New changeset 0f14fc1a7cb2ea0012d0a943e4460acdee2108d7 by Victor Stinner (Andrés Delfino) in branch 'master':
bpo-33726, doc: Add short descriptions to PEP references in seealso (GH-7294)
https://github.com/python/cpython/commit/0f14fc1a7cb2ea0012d0a943e4460acdee2108d7
msg328087 - (view) Author: miss-islington (miss-islington) Date: 2018-10-19 23:43
New changeset 2a6cf446802079a3ee57147de8273c84d63767e9 by Miss Islington (bot) in branch '3.7':
bpo-33726, doc: Add short descriptions to PEP references in seealso (GH-7294)
https://github.com/python/cpython/commit/2a6cf446802079a3ee57147de8273c84d63767e9
msg328088 - (view) Author: miss-islington (miss-islington) Date: 2018-10-19 23:44
New changeset 70102ff18817dd3db79cf73a1028251bbf2106f2 by Miss Islington (bot) in branch '3.6':
bpo-33726, doc: Add short descriptions to PEP references in seealso (GH-7294)
https://github.com/python/cpython/commit/70102ff18817dd3db79cf73a1028251bbf2106f2
msg328094 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2018-10-20 00:05
Thanks Andrés Delfino!
History
Date User Action Args
2018-10-20 00:05:28vstinnersetstatus: open -> closed
resolution: fixed
messages: + msg328094

stage: patch review -> resolved
2018-10-19 23:44:34miss-islingtonsetmessages: + msg328088
2018-10-19 23:43:58miss-islingtonsetnosy: + miss-islington
messages: + msg328087
2018-10-19 23:31:41miss-islingtonsetpull_requests: + pull_request9322
2018-10-19 23:31:29miss-islingtonsetpull_requests: + pull_request9321
2018-10-19 23:31:20vstinnersetnosy: + vstinner
messages: + msg328083
2018-06-14 03:01:29adelfinosetmessages: + msg319490
2018-06-14 00:02:05rhettingersetnosy: + rhettinger
messages: + msg319489
2018-06-01 03:03:42adelfinosetkeywords: + patch
stage: patch review
pull_requests: + pull_request6922
2018-06-01 03:03:25adelfinocreate